package com.tourism.common.dbutil.provider;

import com.alibaba.fastjson.JSON;
import com.tourism.common.dbutil.constant.DblinkType;

/**
 * Doris数据源的提供者实现类。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public class DorisProvider extends MySqlProvider {

    @Override
    public int getDblinkType() {
        return DblinkType.DORIS;
    }

    @Override
    public JdbcConfig getJdbcConfig(String configuration) {
        return JSON.parseObject(configuration, DorisConfig.class);
    }
}